# Generated by Django 4.0.3 on 2022-05-06 08:49

from django.db import migrations


def delete_all_superseded_page_types(apps, schema_editor):
    Page = apps.get_model("wagtailcore", "Page")
    ContentType = apps.get_model("contenttypes", "ContentType")

    for model in (
        "districtafterelectionpage",
        "districtelectionpage",
        "districtelectionpointpage",
    ):
        try:
            ct = ContentType.objects.get(app_label="district", model=model)
            Page.objects.filter(content_type=ct).delete()
        except ContentType.DoesNotExist:
            pass


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0066_alter_districtarticlepage_content_and_more"),
    ]

    operations = [
        migrations.RunPython(delete_all_superseded_page_types),
    ]
