# Generated by Django 4.0.4 on 2022-05-24 11:42

import wagtail.blocks
import wagtail.contrib.table_block.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0074_districthomepage_mapbox_apikey"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="districthomepage",
            name="mapbox_apikey",
        ),
        migrations.RemoveField(
            model_name="districthomepage",
            name="stadia_apikey",
        ),
        migrations.AlterField(
            model_name="districtarticlepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="Textový editor",
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            template="shared/blocks/table_block.html"
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ],
                            label="Galerie",
                        ),
                    ),
                    (
                        "figure",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.TextBlock(
                                        label="Popisek", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "card",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=False
                                    ),
                                ),
                                (
                                    "elevation",
                                    wagtail.blocks.IntegerBlock(
                                        default=2,
                                        help_text="0 = žádný stín, 21 = maximální stín",
                                        label="Velikost stínu",
                                        max_value=21,
                                        min_value=0,
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.TextBlock(
                                        label="Titulek", required=False
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                        label="Zvýraznit stín na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                        ],
                                        label="Obsah",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "two_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "three_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "middle_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah prostředního sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "poster_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                        label="Náhled videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                    (
                        "map_point",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Špendlík na mapě",
                        ),
                    ),
                    (
                        "map_collection",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Mapová kolekce",
                        ),
                    ),
                    (
                        "button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                        label="Ikonka",
                                        max_length=128,
                                        required=False,
                                    ),
                                ),
                                (
                                    "size",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("sm", "Malá"),
                                            ("base", "Střední"),
                                            ("lg", "Velká"),
                                        ],
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelené"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "button_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "buttons",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                        label="Ikonka",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "size",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("sm", "Malá"),
                                                            ("base", "Střední"),
                                                            ("lg", "Velká"),
                                                        ],
                                                        label="Velikost",
                                                    ),
                                                ),
                                                (
                                                    "color",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("black", "Černá"),
                                                            ("white", "Bílá"),
                                                            ("grey-125", "Světle šedá"),
                                                            ("blue-300", "Modrá"),
                                                            ("cyan-200", "Tyrkysová"),
                                                            ("green-400", "Zelené"),
                                                            ("violet-400", "Vínová"),
                                                            ("red-600", "Červená"),
                                                        ],
                                                        label="Barva",
                                                    ),
                                                ),
                                                (
                                                    "hoveractive",
                                                    wagtail.blocks.BooleanBlock(
                                                        default=True,
                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                        label="Animovat na hover",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Tlačítka",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "image_banner",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Headline", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=(
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ),
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Článek",
            ),
        ),
        migrations.AlterField(
            model_name="districtcenterpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="Textový editor",
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            template="shared/blocks/table_block.html"
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ],
                            label="Galerie",
                        ),
                    ),
                    (
                        "figure",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.TextBlock(
                                        label="Popisek", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "card",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=False
                                    ),
                                ),
                                (
                                    "elevation",
                                    wagtail.blocks.IntegerBlock(
                                        default=2,
                                        help_text="0 = žádný stín, 21 = maximální stín",
                                        label="Velikost stínu",
                                        max_value=21,
                                        min_value=0,
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.TextBlock(
                                        label="Titulek", required=False
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                        label="Zvýraznit stín na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                        ],
                                        label="Obsah",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "two_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "three_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "middle_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah prostředního sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "poster_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                        label="Náhled videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                    (
                        "map_point",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Špendlík na mapě",
                        ),
                    ),
                    (
                        "map_collection",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Mapová kolekce",
                        ),
                    ),
                    (
                        "button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                        label="Ikonka",
                                        max_length=128,
                                        required=False,
                                    ),
                                ),
                                (
                                    "size",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("sm", "Malá"),
                                            ("base", "Střední"),
                                            ("lg", "Velká"),
                                        ],
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelené"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "button_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "buttons",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                        label="Ikonka",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "size",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("sm", "Malá"),
                                                            ("base", "Střední"),
                                                            ("lg", "Velká"),
                                                        ],
                                                        label="Velikost",
                                                    ),
                                                ),
                                                (
                                                    "color",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("black", "Černá"),
                                                            ("white", "Bílá"),
                                                            ("grey-125", "Světle šedá"),
                                                            ("blue-300", "Modrá"),
                                                            ("cyan-200", "Tyrkysová"),
                                                            ("green-400", "Zelené"),
                                                            ("violet-400", "Vínová"),
                                                            ("red-600", "Červená"),
                                                        ],
                                                        label="Barva",
                                                    ),
                                                ),
                                                (
                                                    "hoveractive",
                                                    wagtail.blocks.BooleanBlock(
                                                        default=True,
                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                        label="Animovat na hover",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Tlačítka",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "image_banner",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Headline", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=(
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ),
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "badge",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba",
                                        page_type=["district.DistrictPersonPage"],
                                        required=True,
                                    ),
                                ),
                                (
                                    "wrap_in_card",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        label="Zabalit do karty",
                                        required=False,
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.CharBlock(
                                        help_text="Vlastní popisek na vizitce. Pokud není uvedeno, použije se výchozí profese osoby.",
                                        label="Popisek",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
        migrations.AlterField(
            model_name="districtcenterpage",
            name="sidebar_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "map",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "figure",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.TextBlock(
                                        label="Popisek", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "poster_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                        label="Náhled videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                    (
                        "address",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "map_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek mapy", required=False
                                    ),
                                ),
                                (
                                    "map_link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz na detail mapy", required=False
                                    ),
                                ),
                                (
                                    "address",
                                    wagtail.blocks.TextBlock(
                                        label="Adresa", required=True
                                    ),
                                ),
                                (
                                    "address_info",
                                    wagtail.blocks.TextBlock(
                                        label="Info k adrese", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "contact",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "contact_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "person",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Osoba",
                                                        page_type=[
                                                            "district.DistrictPersonPage"
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "position",
                                                    wagtail.blocks.CharBlock(
                                                        label="Pozice", required=False
                                                    ),
                                                ),
                                            ]
                                        )
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "badge",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba",
                                        page_type=["district.DistrictPersonPage"],
                                        required=True,
                                    ),
                                ),
                                (
                                    "wrap_in_card",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        label="Zabalit do karty",
                                        required=False,
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.CharBlock(
                                        help_text="Vlastní popisek na vizitce. Pokud není uvedeno, použije se výchozí profese osoby.",
                                        label="Popisek",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah bočního panelu",
            ),
        ),
        migrations.AlterField(
            model_name="districtcrossroadpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="Textový editor",
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            template="shared/blocks/table_block.html"
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ],
                            label="Galerie",
                        ),
                    ),
                    (
                        "figure",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.TextBlock(
                                        label="Popisek", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "card",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=False
                                    ),
                                ),
                                (
                                    "elevation",
                                    wagtail.blocks.IntegerBlock(
                                        default=2,
                                        help_text="0 = žádný stín, 21 = maximální stín",
                                        label="Velikost stínu",
                                        max_value=21,
                                        min_value=0,
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.TextBlock(
                                        label="Titulek", required=False
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                        label="Zvýraznit stín na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                        ],
                                        label="Obsah",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "two_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "three_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "middle_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah prostředního sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "poster_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                        label="Náhled videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                    (
                        "map_point",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Špendlík na mapě",
                        ),
                    ),
                    (
                        "map_collection",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Mapová kolekce",
                        ),
                    ),
                    (
                        "button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                        label="Ikonka",
                                        max_length=128,
                                        required=False,
                                    ),
                                ),
                                (
                                    "size",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("sm", "Malá"),
                                            ("base", "Střední"),
                                            ("lg", "Velká"),
                                        ],
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelené"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "button_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "buttons",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                        label="Ikonka",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "size",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("sm", "Malá"),
                                                            ("base", "Střední"),
                                                            ("lg", "Velká"),
                                                        ],
                                                        label="Velikost",
                                                    ),
                                                ),
                                                (
                                                    "color",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("black", "Černá"),
                                                            ("white", "Bílá"),
                                                            ("grey-125", "Světle šedá"),
                                                            ("blue-300", "Modrá"),
                                                            ("cyan-200", "Tyrkysová"),
                                                            ("green-400", "Zelené"),
                                                            ("violet-400", "Vínová"),
                                                            ("red-600", "Červená"),
                                                        ],
                                                        label="Barva",
                                                    ),
                                                ),
                                                (
                                                    "hoveractive",
                                                    wagtail.blocks.BooleanBlock(
                                                        default=True,
                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                        label="Animovat na hover",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Tlačítka",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "image_banner",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Headline", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=(
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ),
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "badge",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba",
                                        page_type=["district.DistrictPersonPage"],
                                        required=True,
                                    ),
                                ),
                                (
                                    "wrap_in_card",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        label="Zabalit do karty",
                                        required=False,
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.CharBlock(
                                        help_text="Vlastní popisek na vizitce. Pokud není uvedeno, použije se výchozí profese osoby.",
                                        label="Popisek",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "group_title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "person",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Osoba",
                                                        page_type=[
                                                            "district.DistrictPersonPage"
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "position",
                                                    wagtail.blocks.CharBlock(
                                                        label="Pozice", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="List osob",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah stránky",
            ),
        ),
        migrations.AlterField(
            model_name="districtcustompage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="Textový editor",
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            template="shared/blocks/table_block.html"
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ],
                            label="Galerie",
                        ),
                    ),
                    (
                        "figure",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.TextBlock(
                                        label="Popisek", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "card",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=False
                                    ),
                                ),
                                (
                                    "elevation",
                                    wagtail.blocks.IntegerBlock(
                                        default=2,
                                        help_text="0 = žádný stín, 21 = maximální stín",
                                        label="Velikost stínu",
                                        max_value=21,
                                        min_value=0,
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.TextBlock(
                                        label="Titulek", required=False
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                        label="Zvýraznit stín na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                        ],
                                        label="Obsah",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "two_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "three_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "middle_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah prostředního sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "poster_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                        label="Náhled videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                    (
                        "map_point",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Špendlík na mapě",
                        ),
                    ),
                    (
                        "map_collection",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Mapová kolekce",
                        ),
                    ),
                    (
                        "button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                        label="Ikonka",
                                        max_length=128,
                                        required=False,
                                    ),
                                ),
                                (
                                    "size",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("sm", "Malá"),
                                            ("base", "Střední"),
                                            ("lg", "Velká"),
                                        ],
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelené"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "button_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "buttons",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                        label="Ikonka",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "size",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("sm", "Malá"),
                                                            ("base", "Střední"),
                                                            ("lg", "Velká"),
                                                        ],
                                                        label="Velikost",
                                                    ),
                                                ),
                                                (
                                                    "color",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("black", "Černá"),
                                                            ("white", "Bílá"),
                                                            ("grey-125", "Světle šedá"),
                                                            ("blue-300", "Modrá"),
                                                            ("cyan-200", "Tyrkysová"),
                                                            ("green-400", "Zelené"),
                                                            ("violet-400", "Vínová"),
                                                            ("red-600", "Červená"),
                                                        ],
                                                        label="Barva",
                                                    ),
                                                ),
                                                (
                                                    "hoveractive",
                                                    wagtail.blocks.BooleanBlock(
                                                        default=True,
                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                        label="Animovat na hover",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Tlačítka",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "image_banner",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Headline", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=(
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ),
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "badge",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba",
                                        page_type=["district.DistrictPersonPage"],
                                        required=True,
                                    ),
                                ),
                                (
                                    "wrap_in_card",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        label="Zabalit do karty",
                                        required=False,
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.CharBlock(
                                        help_text="Vlastní popisek na vizitce. Pokud není uvedeno, použije se výchozí profese osoby.",
                                        label="Popisek",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "group_title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "person",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Osoba",
                                                        page_type=[
                                                            "district.DistrictPersonPage"
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "position",
                                                    wagtail.blocks.CharBlock(
                                                        label="Pozice", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="List osob",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
        migrations.AlterField(
            model_name="districtelectioncampaignpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="Textový editor",
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            template="shared/blocks/table_block.html"
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ],
                            label="Galerie",
                        ),
                    ),
                    (
                        "figure",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.TextBlock(
                                        label="Popisek", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "card",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=False
                                    ),
                                ),
                                (
                                    "elevation",
                                    wagtail.blocks.IntegerBlock(
                                        default=2,
                                        help_text="0 = žádný stín, 21 = maximální stín",
                                        label="Velikost stínu",
                                        max_value=21,
                                        min_value=0,
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.TextBlock(
                                        label="Titulek", required=False
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                        label="Zvýraznit stín na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                        ],
                                        label="Obsah",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "two_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "three_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "middle_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah prostředního sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "poster_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                        label="Náhled videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                    (
                        "map_point",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Špendlík na mapě",
                        ),
                    ),
                    (
                        "map_collection",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Mapová kolekce",
                        ),
                    ),
                    (
                        "button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                        label="Ikonka",
                                        max_length=128,
                                        required=False,
                                    ),
                                ),
                                (
                                    "size",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("sm", "Malá"),
                                            ("base", "Střední"),
                                            ("lg", "Velká"),
                                        ],
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelené"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "button_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "buttons",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                        label="Ikonka",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "size",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("sm", "Malá"),
                                                            ("base", "Střední"),
                                                            ("lg", "Velká"),
                                                        ],
                                                        label="Velikost",
                                                    ),
                                                ),
                                                (
                                                    "color",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("black", "Černá"),
                                                            ("white", "Bílá"),
                                                            ("grey-125", "Světle šedá"),
                                                            ("blue-300", "Modrá"),
                                                            ("cyan-200", "Tyrkysová"),
                                                            ("green-400", "Zelené"),
                                                            ("violet-400", "Vínová"),
                                                            ("red-600", "Červená"),
                                                        ],
                                                        label="Barva",
                                                    ),
                                                ),
                                                (
                                                    "hoveractive",
                                                    wagtail.blocks.BooleanBlock(
                                                        default=True,
                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                        label="Animovat na hover",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Tlačítka",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "image_banner",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Headline", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=(
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ),
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "badge",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba",
                                        page_type=["district.DistrictPersonPage"],
                                        required=True,
                                    ),
                                ),
                                (
                                    "wrap_in_card",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        label="Zabalit do karty",
                                        required=False,
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.CharBlock(
                                        help_text="Vlastní popisek na vizitce. Pokud není uvedeno, použije se výchozí profese osoby.",
                                        label="Popisek",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
        migrations.AlterField(
            model_name="districtelectionprogrampage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="Textový editor",
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            template="shared/blocks/table_block.html"
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ],
                            label="Galerie",
                        ),
                    ),
                    (
                        "figure",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.TextBlock(
                                        label="Popisek", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "card",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=False
                                    ),
                                ),
                                (
                                    "elevation",
                                    wagtail.blocks.IntegerBlock(
                                        default=2,
                                        help_text="0 = žádný stín, 21 = maximální stín",
                                        label="Velikost stínu",
                                        max_value=21,
                                        min_value=0,
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.TextBlock(
                                        label="Titulek", required=False
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                        label="Zvýraznit stín na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                        ],
                                        label="Obsah",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "two_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "three_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "middle_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah prostředního sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "poster_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                        label="Náhled videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                    (
                        "map_point",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Špendlík na mapě",
                        ),
                    ),
                    (
                        "map_collection",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Mapová kolekce",
                        ),
                    ),
                    (
                        "button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                        label="Ikonka",
                                        max_length=128,
                                        required=False,
                                    ),
                                ),
                                (
                                    "size",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("sm", "Malá"),
                                            ("base", "Střední"),
                                            ("lg", "Velká"),
                                        ],
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelené"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "button_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "buttons",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                        label="Ikonka",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "size",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("sm", "Malá"),
                                                            ("base", "Střední"),
                                                            ("lg", "Velká"),
                                                        ],
                                                        label="Velikost",
                                                    ),
                                                ),
                                                (
                                                    "color",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("black", "Černá"),
                                                            ("white", "Bílá"),
                                                            ("grey-125", "Světle šedá"),
                                                            ("blue-300", "Modrá"),
                                                            ("cyan-200", "Tyrkysová"),
                                                            ("green-400", "Zelené"),
                                                            ("violet-400", "Vínová"),
                                                            ("red-600", "Červená"),
                                                        ],
                                                        label="Barva",
                                                    ),
                                                ),
                                                (
                                                    "hoveractive",
                                                    wagtail.blocks.BooleanBlock(
                                                        default=True,
                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                        label="Animovat na hover",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Tlačítka",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "image_banner",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Headline", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=(
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ),
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "badge",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba",
                                        page_type=["district.DistrictPersonPage"],
                                        required=True,
                                    ),
                                ),
                                (
                                    "wrap_in_card",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        label="Zabalit do karty",
                                        required=False,
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.CharBlock(
                                        help_text="Vlastní popisek na vizitce. Pokud není uvedeno, použije se výchozí profese osoby.",
                                        label="Popisek",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
        migrations.AlterField(
            model_name="districtgeofeaturecollectionpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="Textový editor",
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            template="shared/blocks/table_block.html"
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ],
                            label="Galerie",
                        ),
                    ),
                    (
                        "figure",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.TextBlock(
                                        label="Popisek", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "card",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=False
                                    ),
                                ),
                                (
                                    "elevation",
                                    wagtail.blocks.IntegerBlock(
                                        default=2,
                                        help_text="0 = žádný stín, 21 = maximální stín",
                                        label="Velikost stínu",
                                        max_value=21,
                                        min_value=0,
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.TextBlock(
                                        label="Titulek", required=False
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                        label="Zvýraznit stín na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                        ],
                                        label="Obsah",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "two_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "three_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "middle_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah prostředního sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "poster_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                        label="Náhled videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                    (
                        "map_point",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Špendlík na mapě",
                        ),
                    ),
                    (
                        "map_collection",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Mapová kolekce",
                        ),
                    ),
                    (
                        "button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                        label="Ikonka",
                                        max_length=128,
                                        required=False,
                                    ),
                                ),
                                (
                                    "size",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("sm", "Malá"),
                                            ("base", "Střední"),
                                            ("lg", "Velká"),
                                        ],
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelené"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "button_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "buttons",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                        label="Ikonka",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "size",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("sm", "Malá"),
                                                            ("base", "Střední"),
                                                            ("lg", "Velká"),
                                                        ],
                                                        label="Velikost",
                                                    ),
                                                ),
                                                (
                                                    "color",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("black", "Černá"),
                                                            ("white", "Bílá"),
                                                            ("grey-125", "Světle šedá"),
                                                            ("blue-300", "Modrá"),
                                                            ("cyan-200", "Tyrkysová"),
                                                            ("green-400", "Zelené"),
                                                            ("violet-400", "Vínová"),
                                                            ("red-600", "Červená"),
                                                        ],
                                                        label="Barva",
                                                    ),
                                                ),
                                                (
                                                    "hoveractive",
                                                    wagtail.blocks.BooleanBlock(
                                                        default=True,
                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                        label="Animovat na hover",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Tlačítka",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "image_banner",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Headline", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=(
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ),
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "badge",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba",
                                        page_type=["district.DistrictPersonPage"],
                                        required=True,
                                    ),
                                ),
                                (
                                    "wrap_in_card",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        label="Zabalit do karty",
                                        required=False,
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.CharBlock(
                                        help_text="Vlastní popisek na vizitce. Pokud není uvedeno, použije se výchozí profese osoby.",
                                        label="Popisek",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "group_title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "person",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Osoba",
                                                        page_type=[
                                                            "district.DistrictPersonPage"
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "position",
                                                    wagtail.blocks.CharBlock(
                                                        label="Pozice", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="List osob",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
        migrations.AlterField(
            model_name="districtgeofeaturecollectionpage",
            name="style",
            field=models.CharField(
                choices=[
                    ("osm-mapnik", "OSM Mapnik"),
                    ("stadia-osm-bright", "Stadia OSM Bright"),
                    ("stadia-outdoors", "Stadia Outdoors"),
                    ("mapbox-streets", "Mapbox Streets"),
                    ("mapbox-outdoors", "Mapbox Outdoors"),
                    ("mapbox-light", "Mapbox Light"),
                    ("mapbox-dark", "Mapbox Dark"),
                    ("mapbox-satellite", "Mapbox Satellite"),
                    ("mapbox-pirate", "Mapbox Pirate Theme"),
                ],
                default="osm-mapnik",
                max_length=50,
                verbose_name="Styl mapy",
            ),
        ),
        migrations.AlterField(
            model_name="districtgeofeaturedetailpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="Textový editor",
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            template="shared/blocks/table_block.html"
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ],
                            label="Galerie",
                        ),
                    ),
                    (
                        "figure",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.TextBlock(
                                        label="Popisek", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "card",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=False
                                    ),
                                ),
                                (
                                    "elevation",
                                    wagtail.blocks.IntegerBlock(
                                        default=2,
                                        help_text="0 = žádný stín, 21 = maximální stín",
                                        label="Velikost stínu",
                                        max_value=21,
                                        min_value=0,
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.TextBlock(
                                        label="Titulek", required=False
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                        label="Zvýraznit stín na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                        ],
                                        label="Obsah",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "two_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "three_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "middle_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah prostředního sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "poster_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                        label="Náhled videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                    (
                        "map_point",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Špendlík na mapě",
                        ),
                    ),
                    (
                        "map_collection",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Mapová kolekce",
                        ),
                    ),
                    (
                        "button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                        label="Ikonka",
                                        max_length=128,
                                        required=False,
                                    ),
                                ),
                                (
                                    "size",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("sm", "Malá"),
                                            ("base", "Střední"),
                                            ("lg", "Velká"),
                                        ],
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelené"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "button_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "buttons",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                        label="Ikonka",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "size",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("sm", "Malá"),
                                                            ("base", "Střední"),
                                                            ("lg", "Velká"),
                                                        ],
                                                        label="Velikost",
                                                    ),
                                                ),
                                                (
                                                    "color",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("black", "Černá"),
                                                            ("white", "Bílá"),
                                                            ("grey-125", "Světle šedá"),
                                                            ("blue-300", "Modrá"),
                                                            ("cyan-200", "Tyrkysová"),
                                                            ("green-400", "Zelené"),
                                                            ("violet-400", "Vínová"),
                                                            ("red-600", "Červená"),
                                                        ],
                                                        label="Barva",
                                                    ),
                                                ),
                                                (
                                                    "hoveractive",
                                                    wagtail.blocks.BooleanBlock(
                                                        default=True,
                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                        label="Animovat na hover",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Tlačítka",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "image_banner",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Headline", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=(
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ),
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "badge",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba",
                                        page_type=["district.DistrictPersonPage"],
                                        required=True,
                                    ),
                                ),
                                (
                                    "wrap_in_card",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        label="Zabalit do karty",
                                        required=False,
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.CharBlock(
                                        help_text="Vlastní popisek na vizitce. Pokud není uvedeno, použije se výchozí profese osoby.",
                                        label="Popisek",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "group_title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "person",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Osoba",
                                                        page_type=[
                                                            "district.DistrictPersonPage"
                                                        ],
                                                    ),
                                                ),
                                                (
                                                    "position",
                                                    wagtail.blocks.CharBlock(
                                                        label="Pozice", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="List osob",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
        migrations.AlterField(
            model_name="districtpostelectionstrategypage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                            ],
                            label="Textový editor",
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            template="shared/blocks/table_block.html"
                        ),
                    ),
                    (
                        "gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ],
                            label="Galerie",
                        ),
                    ),
                    (
                        "figure",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.TextBlock(
                                        label="Popisek", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "card",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=False
                                    ),
                                ),
                                (
                                    "elevation",
                                    wagtail.blocks.IntegerBlock(
                                        default=2,
                                        help_text="0 = žádný stín, 21 = maximální stín",
                                        label="Velikost stínu",
                                        max_value=21,
                                        min_value=0,
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.TextBlock(
                                        label="Titulek", required=False
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                        label="Zvýraznit stín na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                        ],
                                        label="Obsah",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "two_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "three_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah levého sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "middle_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah prostředního sloupce",
                                        required=True,
                                    ),
                                ),
                                (
                                    "right_column_content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "table",
                                                wagtail.contrib.table_block.blocks.TableBlock(
                                                    template="shared/blocks/table_block.html"
                                                ),
                                            ),
                                            (
                                                "card",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "elevation",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=2,
                                                                help_text="0 = žádný stín, 21 = maximální stín",
                                                                label="Velikost stínu",
                                                                max_value=21,
                                                                min_value=0,
                                                            ),
                                                        ),
                                                        (
                                                            "headline",
                                                            wagtail.blocks.TextBlock(
                                                                label="Titulek",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=False,
                                                                help_text="Pokud je zapnuto, stín se zvýrazní, když na kartu uživatel najede myší.",
                                                                label="Zvýraznit stín na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "content",
                                                            wagtail.blocks.StreamBlock(
                                                                [
                                                                    (
                                                                        "text",
                                                                        wagtail.blocks.RichTextBlock(
                                                                            features=[
                                                                                "h2",
                                                                                "h3",
                                                                                "h4",
                                                                                "h5",
                                                                                "bold",
                                                                                "italic",
                                                                                "ol",
                                                                                "ul",
                                                                                "hr",
                                                                                "link",
                                                                                "document-link",
                                                                                "image",
                                                                                "superscript",
                                                                                "subscript",
                                                                                "strikethrough",
                                                                                "blockquote",
                                                                            ],
                                                                            label="Textový editor",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "table",
                                                                        wagtail.contrib.table_block.blocks.TableBlock(
                                                                            template="shared/blocks/table_block.html"
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "figure",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "img",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        label="Obrázek",
                                                                                        required=True,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "caption",
                                                                                    wagtail.blocks.TextBlock(
                                                                                        label="Popisek",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "youtube",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "poster_image",
                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                                        label="Náhled videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_url",
                                                                                    wagtail.blocks.URLBlock(
                                                                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                                        label="Odkaz na video",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "video_id",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                                        label="ID videa (automatické pole)",
                                                                                        required=False,
                                                                                    ),
                                                                                ),
                                                                            ]
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_point",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "lat",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 50.04075",
                                                                                        label="Zeměpisná šířka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "lon",
                                                                                    wagtail.blocks.DecimalBlock(
                                                                                        help_text="Např. 15.77659",
                                                                                        label="Zeměpisná délka",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "hex_color",
                                                                                    wagtail.blocks.CharBlock(
                                                                                        default="000000",
                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                        label="Barva špendlíku (HEX)",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Špendlík na mapě",
                                                                        ),
                                                                    ),
                                                                    (
                                                                        "map_collection",
                                                                        wagtail.blocks.StructBlock(
                                                                            [
                                                                                (
                                                                                    "features",
                                                                                    wagtail.blocks.ListBlock(
                                                                                        wagtail.blocks.StructBlock(
                                                                                            [
                                                                                                (
                                                                                                    "title",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        label="Titulek",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "description",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        label="Popisek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "geojson",
                                                                                                    wagtail.blocks.TextBlock(
                                                                                                        help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                                        label="Geodata",
                                                                                                        required=True,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "image",
                                                                                                    wagtail.images.blocks.ImageChooserBlock(
                                                                                                        label="Obrázek",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "link",
                                                                                                    wagtail.blocks.URLBlock(
                                                                                                        label="Odkaz",
                                                                                                        required=False,
                                                                                                    ),
                                                                                                ),
                                                                                                (
                                                                                                    "hex_color",
                                                                                                    wagtail.blocks.CharBlock(
                                                                                                        default="000000",
                                                                                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                                        label="Barva (HEX)",
                                                                                                    ),
                                                                                                ),
                                                                                            ],
                                                                                            required=True,
                                                                                        ),
                                                                                        label="Součásti",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "zoom",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        default=15,
                                                                                        label="Výchozí zoom",
                                                                                        max_value=18,
                                                                                        min_value=1,
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "style",
                                                                                    wagtail.blocks.ChoiceBlock(
                                                                                        choices=[
                                                                                            (
                                                                                                "osm-mapnik",
                                                                                                "OSM Mapnik",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-osm-bright",
                                                                                                "Stadia OSM Bright",
                                                                                            ),
                                                                                            (
                                                                                                "stadia-outdoors",
                                                                                                "Stadia Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-streets",
                                                                                                "Mapbox Streets",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-outdoors",
                                                                                                "Mapbox Outdoors",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-light",
                                                                                                "Mapbox Light",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-dark",
                                                                                                "Mapbox Dark",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-satellite",
                                                                                                "Mapbox Satellite",
                                                                                            ),
                                                                                            (
                                                                                                "mapbox-pirate",
                                                                                                "Mapbox Pirate Theme",
                                                                                            ),
                                                                                        ],
                                                                                        label="Styl",
                                                                                    ),
                                                                                ),
                                                                                (
                                                                                    "height",
                                                                                    wagtail.blocks.IntegerBlock(
                                                                                        label="Výška v px",
                                                                                        max_value=1000,
                                                                                        min_value=100,
                                                                                    ),
                                                                                ),
                                                                            ],
                                                                            label="Mapová kolekce",
                                                                        ),
                                                                    ),
                                                                ],
                                                                label="Obsah",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "figure",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "img",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                label="Obrázek",
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "caption",
                                                            wagtail.blocks.TextBlock(
                                                                label="Popisek",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "youtube",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "poster_image",
                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                                                label="Náhled videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_url",
                                                            wagtail.blocks.URLBlock(
                                                                help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                                                label="Odkaz na video",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "video_id",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                                                label="ID videa (automatické pole)",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "map_point",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "lat",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 50.04075",
                                                                label="Zeměpisná šířka",
                                                            ),
                                                        ),
                                                        (
                                                            "lon",
                                                            wagtail.blocks.DecimalBlock(
                                                                help_text="Např. 15.77659",
                                                                label="Zeměpisná délka",
                                                            ),
                                                        ),
                                                        (
                                                            "hex_color",
                                                            wagtail.blocks.CharBlock(
                                                                default="000000",
                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                label="Barva špendlíku (HEX)",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Špendlík na mapě",
                                                ),
                                            ),
                                            (
                                                "map_collection",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "features",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "description",
                                                                            wagtail.blocks.TextBlock(
                                                                                label="Popisek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "geojson",
                                                                            wagtail.blocks.TextBlock(
                                                                                help_text="Vložte surový GeoJSON objekt typu 'Feature'. Vyrobit jej můžete např. pomocí online služby geojson.io.",
                                                                                label="Geodata",
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "image",
                                                                            wagtail.images.blocks.ImageChooserBlock(
                                                                                label="Obrázek",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hex_color",
                                                                            wagtail.blocks.CharBlock(
                                                                                default="000000",
                                                                                help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                                                                label="Barva (HEX)",
                                                                            ),
                                                                        ),
                                                                    ],
                                                                    required=True,
                                                                ),
                                                                label="Součásti",
                                                            ),
                                                        ),
                                                        (
                                                            "zoom",
                                                            wagtail.blocks.IntegerBlock(
                                                                default=15,
                                                                label="Výchozí zoom",
                                                                max_value=18,
                                                                min_value=1,
                                                            ),
                                                        ),
                                                        (
                                                            "style",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    (
                                                                        "osm-mapnik",
                                                                        "OSM Mapnik",
                                                                    ),
                                                                    (
                                                                        "stadia-osm-bright",
                                                                        "Stadia OSM Bright",
                                                                    ),
                                                                    (
                                                                        "stadia-outdoors",
                                                                        "Stadia Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-streets",
                                                                        "Mapbox Streets",
                                                                    ),
                                                                    (
                                                                        "mapbox-outdoors",
                                                                        "Mapbox Outdoors",
                                                                    ),
                                                                    (
                                                                        "mapbox-light",
                                                                        "Mapbox Light",
                                                                    ),
                                                                    (
                                                                        "mapbox-dark",
                                                                        "Mapbox Dark",
                                                                    ),
                                                                    (
                                                                        "mapbox-satellite",
                                                                        "Mapbox Satellite",
                                                                    ),
                                                                    (
                                                                        "mapbox-pirate",
                                                                        "Mapbox Pirate Theme",
                                                                    ),
                                                                ],
                                                                label="Styl",
                                                            ),
                                                        ),
                                                        (
                                                            "height",
                                                            wagtail.blocks.IntegerBlock(
                                                                label="Výška v px",
                                                                max_value=1000,
                                                                min_value=100,
                                                            ),
                                                        ),
                                                    ],
                                                    label="Mapová kolekce",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "poster_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                        label="Náhled videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                    (
                        "map_point",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Špendlík na mapě",
                        ),
                    ),
                    (
                        "map_collection",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ],
                            label="Mapová kolekce",
                        ),
                    ),
                    (
                        "button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                        label="Ikonka",
                                        max_length=128,
                                        required=False,
                                    ),
                                ),
                                (
                                    "size",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("sm", "Malá"),
                                            ("base", "Střední"),
                                            ("lg", "Velká"),
                                        ],
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelené"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "button_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "buttons",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "icon",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                        label="Ikonka",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "size",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("sm", "Malá"),
                                                            ("base", "Střední"),
                                                            ("lg", "Velká"),
                                                        ],
                                                        label="Velikost",
                                                    ),
                                                ),
                                                (
                                                    "color",
                                                    wagtail.blocks.ChoiceBlock(
                                                        choices=[
                                                            ("black", "Černá"),
                                                            ("white", "Bílá"),
                                                            ("grey-125", "Světle šedá"),
                                                            ("blue-300", "Modrá"),
                                                            ("cyan-200", "Tyrkysová"),
                                                            ("green-400", "Zelené"),
                                                            ("violet-400", "Vínová"),
                                                            ("red-600", "Červená"),
                                                        ],
                                                        label="Barva",
                                                    ),
                                                ),
                                                (
                                                    "hoveractive",
                                                    wagtail.blocks.BooleanBlock(
                                                        default=True,
                                                        help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                        label="Animovat na hover",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "page",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Stránka", required=False
                                                    ),
                                                ),
                                                (
                                                    "link",
                                                    wagtail.blocks.URLBlock(
                                                        label="Odkaz", required=False
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Tlačítka",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "image_banner",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Headline", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "content",
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                "text",
                                                wagtail.blocks.RichTextBlock(
                                                    features=(
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ),
                                                    label="Textový editor",
                                                ),
                                            ),
                                            (
                                                "button",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "title",
                                                            wagtail.blocks.CharBlock(
                                                                label="Titulek",
                                                                max_length=128,
                                                                required=True,
                                                            ),
                                                        ),
                                                        (
                                                            "icon",
                                                            wagtail.blocks.CharBlock(
                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                label="Ikonka",
                                                                max_length=128,
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "size",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("sm", "Malá"),
                                                                    ("base", "Střední"),
                                                                    ("lg", "Velká"),
                                                                ],
                                                                label="Velikost",
                                                            ),
                                                        ),
                                                        (
                                                            "color",
                                                            wagtail.blocks.ChoiceBlock(
                                                                choices=[
                                                                    ("black", "Černá"),
                                                                    ("white", "Bílá"),
                                                                    (
                                                                        "grey-125",
                                                                        "Světle šedá",
                                                                    ),
                                                                    (
                                                                        "blue-300",
                                                                        "Modrá",
                                                                    ),
                                                                    (
                                                                        "cyan-200",
                                                                        "Tyrkysová",
                                                                    ),
                                                                    (
                                                                        "green-400",
                                                                        "Zelené",
                                                                    ),
                                                                    (
                                                                        "violet-400",
                                                                        "Vínová",
                                                                    ),
                                                                    (
                                                                        "red-600",
                                                                        "Červená",
                                                                    ),
                                                                ],
                                                                label="Barva",
                                                            ),
                                                        ),
                                                        (
                                                            "hoveractive",
                                                            wagtail.blocks.BooleanBlock(
                                                                default=True,
                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                label="Animovat na hover",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "page",
                                                            wagtail.blocks.PageChooserBlock(
                                                                label="Stránka",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "link",
                                                            wagtail.blocks.URLBlock(
                                                                label="Odkaz",
                                                                required=False,
                                                            ),
                                                        ),
                                                    ]
                                                ),
                                            ),
                                            (
                                                "button_group",
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "buttons",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.StructBlock(
                                                                    [
                                                                        (
                                                                            "title",
                                                                            wagtail.blocks.CharBlock(
                                                                                label="Titulek",
                                                                                max_length=128,
                                                                                required=True,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "icon",
                                                                            wagtail.blocks.CharBlock(
                                                                                help_text="Identifikátor ikonky ze styleguide (https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons), např. ico--key.",
                                                                                label="Ikonka",
                                                                                max_length=128,
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "size",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "sm",
                                                                                        "Malá",
                                                                                    ),
                                                                                    (
                                                                                        "base",
                                                                                        "Střední",
                                                                                    ),
                                                                                    (
                                                                                        "lg",
                                                                                        "Velká",
                                                                                    ),
                                                                                ],
                                                                                label="Velikost",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "color",
                                                                            wagtail.blocks.ChoiceBlock(
                                                                                choices=[
                                                                                    (
                                                                                        "black",
                                                                                        "Černá",
                                                                                    ),
                                                                                    (
                                                                                        "white",
                                                                                        "Bílá",
                                                                                    ),
                                                                                    (
                                                                                        "grey-125",
                                                                                        "Světle šedá",
                                                                                    ),
                                                                                    (
                                                                                        "blue-300",
                                                                                        "Modrá",
                                                                                    ),
                                                                                    (
                                                                                        "cyan-200",
                                                                                        "Tyrkysová",
                                                                                    ),
                                                                                    (
                                                                                        "green-400",
                                                                                        "Zelené",
                                                                                    ),
                                                                                    (
                                                                                        "violet-400",
                                                                                        "Vínová",
                                                                                    ),
                                                                                    (
                                                                                        "red-600",
                                                                                        "Červená",
                                                                                    ),
                                                                                ],
                                                                                label="Barva",
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "hoveractive",
                                                                            wagtail.blocks.BooleanBlock(
                                                                                default=True,
                                                                                help_text="Pokud je zapnuto, tlačítko mění barvu, když na něj uživatel najede myší.",
                                                                                label="Animovat na hover",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "page",
                                                                            wagtail.blocks.PageChooserBlock(
                                                                                label="Stránka",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                        (
                                                                            "link",
                                                                            wagtail.blocks.URLBlock(
                                                                                label="Odkaz",
                                                                                required=False,
                                                                            ),
                                                                        ),
                                                                    ]
                                                                ),
                                                                label="Tlačítka",
                                                            ),
                                                        )
                                                    ]
                                                ),
                                            ),
                                        ],
                                        label="Obsah pravého sloupce",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "badge",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba",
                                        page_type=["district.DistrictPersonPage"],
                                        required=True,
                                    ),
                                ),
                                (
                                    "wrap_in_card",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        label="Zabalit do karty",
                                        required=False,
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.CharBlock(
                                        help_text="Vlastní popisek na vizitce. Pokud není uvedeno, použije se výchozí profese osoby.",
                                        label="Popisek",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
    ]
